-- 
-- by Knuuud with tips from PeterJ
-- 

Komatsu = {};

function Komatsu.prerequisitesPresent(specializations)
    return true;
end;

function Komatsu:load(xmlFile)
end;

function Komatsu:delete()
end;

function Komatsu:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Komatsu:keyEvent(unicode, sym, modifier, isDown)
end;

function Komatsu:update(dt)	
end;

function Komatsu:draw()
end;

function Komatsu:onAttach(attacherVehicle)
end;

function Komatsu:onDetach()
end;

function Komatsu:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;